Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.rrnaclassifier
Class TrainingInfoTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              edu.msu.cme.rdp.classifier.rrnaclassifier.TrainingInfoTest

All Implemented Interfaces:
  junit.framework.Test

    public class TrainingInfoTest

extends junit.framework.TestCase

A test class for TrainingInfo.

Constructor Summary
`TrainingInfoTest(java.lang.String testName)`

Method Summary
`private void` | `displayResult(ClassificationResult result)`
`static void` | `main(java.lang.String[] args)`
`static junit.framework.Test` | `suite()`
`void` | `testCreateClassifier()` Test of getRootTree method, of class classification.TrainingInfo.
`void` | `testCreateGenusWordProbList()` Test of createGenusWordProbLis method, of class classification.TrainingInfo.
`void` | `testCreateLogWordPriorArr()` Test of createLogWordPriorArr method, of class classification.TrainingInfo.
`void` | `testCreateProbIndexArr()` Test of makeProbIndexArr method, of class classification.TrainingInfo.
`void` | `testCreateTree()` Test of createTree method, of class classification.TrainingInfo.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrainingInfoTest

    public TrainingInfoTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static junit.framework.Test suite()

### testCreateTree

    public void testCreateTree()

  Test of createTree method, of class classification.TrainingInfo.

### testCreateLogWordPriorArr

    public void testCreateLogWordPriorArr()
                                   throws java.lang.Exception

  Test of createLogWordPriorArr method, of class classification.TrainingInfo.

  Throws:
    `java.lang.Exception`

### testCreateGenusWordProbList

    public void testCreateGenusWordProbList()
                                     throws java.lang.Exception

  Test of createGenusWordProbLis method, of class classification.TrainingInfo.

  Throws:
    `java.lang.Exception`

### testCreateProbIndexArr

    public void testCreateProbIndexArr()
                                throws java.lang.Exception

  Test of makeProbIndexArr method, of class classification.TrainingInfo.

  Throws:
    `java.lang.Exception`

### testCreateClassifier

    public void testCreateClassifier()
                              throws java.lang.Exception

  Test of getRootTree method, of class classification.TrainingInfo.

  Throws:
    `java.lang.Exception`

### displayResult

    private void displayResult(ClassificationResult result)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD